org.eclipse.wst.jsdt.chromium.debug.ui

## Interface DialogUtils.Switcher<T>

All Superinterfaces:
  DialogUtils.SwitchBase<T>

Enclosing class:
  DialogUtils

    public static interface DialogUtils.Switcher<T>
    extends DialogUtils.SwitchBase<T>

A switcher that is operated by non-optional expression.

### Method Summary

All Methods Instance Methods Abstract Methods
`<P> DialogUtils.ValueSource<P>` `createMerge(DialogUtils.ValueSource<? extends P>... sources)` Creates a merge element, that links to sources inside switcher's scopes and exposes them outside a single `DialogUtils.ValueSource` that has a value of a corresponding source in an active scope.

### Methods inherited from interface org.eclipse.wst.jsdt.chromium.debug.ui.DialogUtils.SwitchBase

`addScope, getOuterScope, getUpdater, getValueConsumer`

### Method Detail

#### createMerge

    <P> DialogUtils.ValueSource<P> createMerge(DialogUtils.ValueSource<? extends P>... sources)

Creates a merge element, that links to sources inside switcher's scopes and exposes them outside a single `DialogUtils.ValueSource` that has a value of a corresponding source in an active scope.

Parameters:
  `sources` - the list of sources in the corresponding scopes; must be in the same order